@charset "UTF-8";
/* CSS Document */

@import url("https://fonts.googleapis.com/css2?family=Encode+Sans:wght@100;300;400;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

/* -=-=-=-=-=-=-=- FONTS -=-==-=-=-=-=-=-=-*/
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Lora", serif;
}

body {
  font-family: "Montserrat", sans-serif;
  background-color: #f7f7f7;
}

.bodyContainer {
  min-height: calc(100vh - 0px);
}

p {
  font-family: "Montserrat", sans-serif;
}

a {
  color: #242d4f;
  text-decoration: none;
}

p.xsmall {
  font-size: 12px;
}

/* -=-=-=-=-=-=-=- APP VERSION -=-==-=-=-=-=-=-=-*/
.versionContainer {
  width: 100%;
  position: absolute;
}

.appVersion::after {
  content: "V 0.7";
  font-size: 12px;
  color: white;
  position: absolute;
  float: left;
  bottom: -70px;
  left: 20px;
}

/* -=-=-=-=-=-=-=- GENERAL STYLES -=-==-=-=-=-=-=-=-*/
.rounded-4 {
  border-radius: 0.4rem;
}

.rounded-5 {
  border-radius: 0.5rem;
}

/* -=-=-=-=-=-=-=- SECTIONS -=-==-=-=-=-=-=-=-*/
main {
  padding-top: 100px;
}

.loginContainer {
  min-height: calc(100vh - 160px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@media (max-width: 576px) {
  main.flex-shrink-0.h-75 {
    min-height: 90%;
  }

  img.footerLogo {
    height: 45px !important;
  }
}

/* -=-=-=-=-=-=-=- NAVBAR -=-==-=-=-=-=-=-=-*/
nav#myNavbar {
  height: auto;
  background-color: #ffffff;
  z-index: 1001;
  border-bottom: 3px solid #e7bc61;
  padding: 0px;
}

a.navbar-brand {
  height: 56px;
  padding-top: 3px;
  padding-bottom: 3px;
}

a.nav-link {
  font-family: "Montserrat", sans-serif;
  font-size: 17px;
  color: #101e37;
  background: transparent;
  border: none;
  box-shadow: none;
  outline: none;
  border-radius: 0px;
  text-decoration: none;
  font-weight: 500;
  min-height: 48px;
  padding: 0.5rem 0.75rem !important;
  display: flex;
  align-items: center;
  max-width: 348px;
  width: 100%;
  min-width: fit-content;
  line-height: 24px;
  text-transform: uppercase;
  height: 75px;
}

a.nav-link.active {
  opacity: 0.5;
}

.nav-link:focus,
.nav-link:hover {
  color: #fff;
}

li.nav-item {
  margin: 0px;
  height: 100%;
}

li.nav-item:hover {
  background-color: #242c50;
  transition: 0.4s;
}

li.nav-item.btn {
  padding: 0px;
  margin-top: 2px;
  transition: 0.4s;
}

li.nav-item.btn a.nav-link:hover {
  opacity: 0.6;
  transition: 0.4s;
}

li.nav-item.btn a.nav-link {
  background-color: #fff;
  border-radius: 50rem;
  padding: 0.35rem 1.5rem !important;
  color: #242d4f;
}

li.nav-item.btn a.nav-link.nav-miAr {
  background-color: #fff;
  border-radius: 50rem;
  color: #0072bb;
  padding: 10px 20px !important;
}

li.nav-item.dropdown.language {
  background-color: #f4f4f4;
  padding: 0px !important;
  margin-left: 30px;
  border-radius: 4px;
  height: 35px;
  margin-top: 4px;
}

li.nav-item.dropdown.language .nav-link {
  text-transform: uppercase;
  font-weight: 400;
  padding: 0.45rem 1.25rem !important;
  font-size: 13px;
}

.dropdown-toggle::after {
  color: #a5a5a5;
  margin-left: 10px;
}

.nav-link.dropdown-toggle::after {
  color: #fff;
  margin-left: 10px;
}

.dropdown-item.active,
.dropdown-item:active {
  color: #fff;
  text-decoration: none;
  background-color: #0f1e37;
}

li.nav-item.btn.miAr {
  margin-left: 25px;
}

ul#myTab {
  margin-bottom: 0px;
}

ul#myTab li.nav-item {
  width: auto;
  text-align: left;
  min-width: 200px;
  background: none;
}

.nav-tabs {
  font-family: "Lora", serif;
  border-bottom: 1px solid #dee2e6;
  flex-wrap: inherit;
}

.nav-tabs .nav-link {
  color: #242d4f;
  transition: 0.4s;
  width: 100%;
  font-size: 18px;
  background-color: #e9ecef;
  border-radius: 0.5rem 0.5rem 0rem 0rem;
  text-align: left;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
  color: white;
  background-color: #242d4f;
  border-color: #242d4f;
  width: 100%;
  border-radius: 0.5rem 0.5rem 0rem 0rem;
}

.nav-tabs .nav-link:hover {
  border-color: transparent;
  isolation: isolate;
  opacity: 0.5;
  transition: 0.4s;
}

@media (max-width: 768px) {
  .nav-tabs .nav-link {
    font-size: 15px;
  }

  li.nav-item.btn.miAr {
    margin-left: 0px;
    margin-top: 10px;
  }

  a.navbar-brand {
    height: 40px;
  }
}

/* -=-=-=-=-=-=-=- MOBILE MENU -=-==-=-=-=-=-=-=-*/
.animated-hamburger {
  width: 30px !important;
  height: 20px !important;
  position: relative !important;
  margin: 0px !important;
  -webkit-transform: rotate(0deg) !important;
  -moz-transform: rotate(0deg) !important;
  -o-transform: rotate(0deg) !important;
  transform: rotate(0deg) !important;
  -webkit-transition: 0.5s ease-in-out !important;
  -moz-transition: 0.5s ease-in-out !important;
  -o-transition: 0.5s ease-in-out !important;
  transition: 0.5s ease-in-out !important;
  cursor: pointer !important;
  top: -4px;
}

.animated-hamburger span {
  display: block !important;
  position: absolute !important;
  height: 2px !important;
  width: 100% !important;
  border-radius: 9px !important;
  opacity: 1 !important;
  left: 0 !important;
  -webkit-transform: rotate(0deg) !important;
  -moz-transform: rotate(0deg) !important;
  -o-transform: rotate(0deg) !important;
  transform: rotate(0deg) !important;
  -webkit-transition: 0.25s ease-in-out !important;
  -moz-transition: 0.25s ease-in-out !important;
  -o-transition: 0.25s ease-in-out !important;
  transition: 0.25s ease-in-out !important;
}

.animated-hamburger span {
  background: #fff !important;
}

.animated-hamburger span:nth-child(1) {
  top: 0px !important;
  -webkit-transform-origin: left center !important;
  -moz-transform-origin: left center !important;
  -o-transform-origin: left center !important;
  transform-origin: left center !important;
  width: 50% !important;
}

.animated-hamburger span:nth-child(2) {
  top: 10px !important;
  -webkit-transform-origin: left center !important;
  -moz-transform-origin: left center !important;
  -o-transform-origin: left center !important;
  transform-origin: left center !important;
}

.animated-hamburger span:nth-child(3) {
  top: 20px !important;
  -webkit-transform-origin: left center !important;
  -moz-transform-origin: left center !important;
  -o-transform-origin: left center !important;
  transform-origin: left bottom !important;
  width: 50% !important;
  margin-left: 50%;
}

.animated-hamburger.open span:nth-child(1) {
  -webkit-transform: rotate(45deg) !important;
  -moz-transform: rotate(45deg) !important;
  -o-transform: rotate(45deg) !important;
  transform: rotate(45deg) !important;
  top: 0px !important;
  left: 0px !important;
  width: 100% !important;
}

.animated-hamburger.open span:nth-child(2) {
  width: 100% !important;
  opacity: 0 !important;
  transform: translateX(30px) !important;
}

.animated-hamburger.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg) !important;
  -moz-transform: rotate(-45deg) !important;
  -o-transform: rotate(-45deg) !important;
  transform: rotate(-45deg) !important;
  top: 21px !important;
  left: 0px !important;
  width: 100% !important;
  margin-left: 0px;
}

.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: none;
}

/* -=-=-=-=-=-=-=-=-=-=- Splash Screen -=-=-=-=-=-=-=-=-=-=-*/
.helloScreen {
  width: 100%;
  height: 100vh;
  background-color: #242d4f;
  position: fixed;
  overflow-y: hidden;
  overflow-x: hidden;
  z-index: 1400;
}

.helloLogo {
  background-image: url("../img/logo_progresar.svg");
  background-repeat: no-repeat;
  position: relative;
  z-index: 2;
  margin-right: auto;
  text-align: center;
  height: 150px;
  background-position: center center;
  margin-top: 20%;
  animation: zoomOut 5s;
}

.firmaDigitalContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 1500;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
  width: auto;
  height: 70%;
  justify-content: center;
}

@keyframes zoomOut {
  0% {
    transform: scale(1.25);
  }
  100% {
    transform: scale(1);
  }
}

@media (max-width: 768px) {
  .helloLogo {
    margin-top: 70% !important;
    height: 100px !important;
  }
}

#hideMe {
  -webkit-animation: cssAnimation 5s forwards;
  animation: cssAnimation 5s forwards;
}

@keyframes cssAnimation {
  0% {
    opacity: 1;
    z-index: 1400;
  }
  70% {
    opacity: 1;
    z-index: 1400;
  }
  100% {
    opacity: 0;
    z-index: -1;
  }
}
@-webkit-keyframes cssAnimation {
  0% {
    opacity: 1;
    z-index: 1400;
  }
  70% {
    opacity: 1;
    z-index: 1400;
  }
  100% {
    opacity: 0;
    z-index: -1;
  }
}

.secondary_logos {
  position: absolute;
  width: 100%;
  top: 70%;
  height: 30%;
}

.secondary_logos img {
  height: 220px !important;
}

/* -=-=-=-=-=-=-=- LOGIN -=-==-=-=-=-=-=-=-*/
.card.logIn {
  border-radius: 15px;
  padding: 20px;
  margin-bottom: 50px;
}

.card.logIn .card-body h1 {
  font-size: 28px;
  font-weight: 600;
  margin-bottom: 25px;
}

.passRecover {
  color: #242d4f;
  text-decoration: none;
  font-size: 14px;
}

/* -=-=-=-=-=-=-=- FORMS -=-==-=-=-=-=-=-=-*/
.form-check-input:checked {
  background-color: #0075ff;
  border-color: #0075ff;
}

span.input-group-text.hideShow {
  background-color: white;
  padding: 5px 10px;
  border-radius: 0.5rem;
}

span.input-group-text.hideShow a i {
  position: relative;
  top: -2px;
}

.form-check-input.lg {
  width: 1rem;
  height: 1rem;
}

.input-group.searchMiAr {
  min-width: 400px;
  height: 44px;
  margin-top: 3px;
}

.input-group.searchMiAr .form-control {
  border-radius: 10px;
  border: none;
  background-color: #ffffffe8;
}

.input-group.searchMiAr .input-group-text {
  border-radius: 50rem;
  background-color: white;
  border: none;
  color: #0072bb;
  padding: 10px 14px;
  line-height: 10px;
}

.form-control {
  background-color: #ffffff;
  padding: 0.65rem 1rem;
  color: #101e37;
  font-size: 1rem;
  font-weight: 400;
  border-radius: 0.5rem;
  outline-offset: 0;
  box-sizing: border-box;
  border: 1px solid #555555;
}

.form-select {
  background-color: #ffffff;
  padding: 0.65rem 1rem;
  color: #101e37;
  font-size: 1rem;
  font-weight: 400;
  border-radius: 0.5rem;
  outline-offset: 0;
  box-sizing: border-box;
  border: 1px solid #555555;
}

@media (max-width: 991px) {
  .input-group.searchMiAr {
    min-width: auto;
  }
}

/* -=-=-=-=-=-=-=- BUTTONS -=-==-=-=-=-=-=-=-*/
.btn {
  border-radius: 50rem;
  padding: 8px 18px;
  font-weight: 600;
}

.btn-primary {
  color: #fff;
  background-color: #0f1e37;
  border-color: #0f1e37;
}

.btn-primary:hover {
  color: #fff;
  background-color: #13192c;
  border-color: #13192c;
}

.btn-check:focus + .btn-primary,
.btn-primary:focus {
  color: #fff;
  background-color: #0f1e37;
  border-color: #0f1e37;
  box-shadow: none;
}

.btn-tipoDoc {
  border-color: #555555;
  border-radius: 0.5rem 0rem 0rem 0.5rem;
}

#button-addon2 {
  border-radius: 0px 0.5rem 0.5rem 0px !important;
  line-height: 28px;
}

#search-addon {
  border-radius: 0px 0.5rem 0.5rem 0px;
}

.input-group-text {
  background-color: #ffffff;
  border: 1px solid #555555;
  border-radius: 0rem 0.5rem 0.5rem 0rem;
}

/* -=-=-=-=-=-=-=- TABLES -=-==-=-=-=-=-=-=-*/
.table-titulos {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  overflow: hidden;
}

.table-titulos thead {
  background-color: #41464b;
}

.table-titulos thead tr th {
  color: #fff;
  font-size: 14px;
  font-weight: 400 !important;
  text-transform: uppercase;
  padding: 15px 20px;
  letter-spacing: 1px;
}

.table-titulos tbody tr td {
  border: none;
}

.table-titulos tbody tr td {
  font-size: 14px;
  font-weight: 400 !important;
  padding: 18px 20px 8px 18px;
}

a.titulo-link i {
  font-size: 20px;
  position: relative;
  margin-top: -7px;
  color: #6b6b6b;
  transition: 0.4s;
}

a.titulo-link:hover i {
  color: #cacaca;
  transition: 0.4s;
}

a.titulo-link i::before {
  top: -7px;
  position: relative;
}

.table-materias {
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
  overflow: hidden;
  margin-bottom: 0px;
}

.table-materias thead {
  background-color: #fff;
}

.table-materias thead tr th {
  color: #000;
  font-size: 12px;
  font-weight: 400 !important;
  text-transform: uppercase;
  padding: 5px 20px;
  letter-spacing: 1px;
}

.table-materias thead tr th.textAno {
  text-align: center;
  font-size: 12px !important;
  font-weight: 600 !important;
  background-color: #dddedf;
  color: black;
  padding: 4px;
}

.table-materias tbody tr td {
  font-size: 12px;
  font-weight: 400 !important;
  padding: 4px 20px;
}

.table > :not(:last-child) > :last-child > * {
  border-bottom-color: #adb5bd;
}

/* -=-=-=-=-=-=-=- PAGINATION -=-==-=-=-=-=-=-=-*/
ul.pagination.myTable {
  justify-content: center;
  margin-bottom: 50px;
}

ul.pagination.myTable .page-item {
  padding: 8px;
}

ul.pagination.myTable .page-item a.page-link {
  padding: 10px 20px;
  border-radius: 8px;
  color: #6c757d;
  font-family: "Encode Sans", sans-serif;
}

ul.pagination.myTable li.page-item.active a.page-link {
  background-color: #0f1e37;
  border-color: #0f1e37;
  color: white !important;
}

.page-item:last-child .page-link {
  border-top-right-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;
  height: 30px;
  width: 20px;
  margin-top: 7px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: none;
  background-color: transparent;
}

.page-item:last-child .page-link i {
  margin-top: -4px;
}

.page-item:first-child .page-link {
  border-top-right-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;
  height: 30px;
  width: 20px;
  margin-top: 7px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: none;
  background-color: transparent;
}

.page-item:first-child .page-link i {
  margin-top: -4px;
}

/* -=-=-=-=-=-=-=- CARDS -=-==-=-=-=-=-=-=-*/
.card.estado {
  border: none;
  border-radius: 15px;
  margin-top: 30px;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.05);
}

.card.estado.tabs {
  border-radius: 0px 0px 15px 15px;
  margin-top: 0px;
}

.refresh-button {
  position: absolute;
  float: right;
  right: 20px;
  top: -20px;
}

.refresh-button.tabs {
  right: 10px;
  top: 10px;
}

.refresh-button .btn {
  width: 50px;
  height: 50px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.refresh-button .btn i {
  position: relative;
  top: -4px;
  font-size: 27px;
}

.progress {
  display: flex;
  height: 8px;
  overflow: visible;
  font-size: 0.75rem;
  background-color: #e9ecef;
  border-radius: 0.25rem;
  position: relative;
  bottom: -16px;
  left: -16px;
  width: calc(100% + 32px);
  border-bottom-right-radius: 20px;
}

.progress-bar {
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: visible;
  color: black;
  text-align: center;
  white-space: nowrap;
  background-color: #3175af;
  transition: width 0.6s ease;
  border-bottom-left-radius: 20px;
}

span.progress-value {
  position: relative;
  bottom: 18px;
}

.card.estado .card-body h1 {
  font-size: 55px;
  margin-top: 10px;
  margin-bottom: 0px;
  font-weight: 700;
}

.card.estado .card-body p {
  font-size: 15px;
  margin-top: -10px;
  margin-bottom: 27px;
}

.card.filtros {
  background-color: transparent;
  border: none;
}

.card.estado.datos {
  position: sticky;
  top: 100px;
}

.card.estado.datos .card-body {
  margin: 10px 0px;
  padding: 30px;
}

@media (max-width: 991px) {
  .refresh-button.tabs {
    right: 5px;
    top: 5px;
  }

  .refresh-button .btn {
    width: 40px;
    height: 40px;
  }

  .card.estado .card-body {
    margin-top: 10px;
  }

  .card.estado .card-body p {
    font-size: 13px;
    margin-top: 0px;
    line-height: 16px;
  }

  .card.estado .card-body h1 {
    font-size: 32px;
  }

  .card.estado .card-body p {
    font-size: 13px;
    margin-top: 0px;
  }
}

/* -=-=-=-=-=-=-=- MODAL -=-==-=-=-=-=-=-=-*/
.modal.titulos .modal-dialog .modal-content {
  border-radius: 15px;
  border: none;
}

.modal.titulos .modal-dialog .modal-content .modal-header {
  border: none;
  margin-bottom: 0px;
  padding-bottom: 0px;
}

.modal.titulos .modal-dialog .modal-content .modal-header button.btn-close {
  padding: 0px;
  position: absolute;
  right: 30px;
  top: 30px;
}

.modal-content {
  border: none;
  border-radius: 20px;
}

img.modal-logo {
  height: 80px;
}

p.alumntoLabel {
  font-size: 12px;
  margin-bottom: 0px;
}

p.numeroSerie {
  position: absolute;
  top: 20px;
  left: 30px;
}

.bi-icon::before {
  font-size: 80px;
  position: relative;
  margin-bottom: 20px;
}

.bi-alert {
  color: #ffc207;
}

.bi-danger {
  color: #dc3546;
}

.bi-confirm {
  color: #fff;
}

.bg-success {
  background-color: #18d1a0 !important;
}

.firmaContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.firmaBox {
  width: 100%;
  height: 120px;
  margin-bottom: -20px;
}

.firmaBox img {
  height: 120px;
}

/*-=-FOOTER-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
.main-footer {
  background: #faf8ed;
  border-top: solid 1px #dddddd;
  margin-top: auto;
  padding: 25px 0px 20px 0px;
  z-index: 6;
}

.main-footer section {
  padding: 30px 0;
}

.h3.section-title {
  color: #141414;
  font-weight: bold;
  font-size: 22px;
  margin-bottom: 25px;
}

.sub-footer {
  min-height: 100px;
  display: flex;
  flex-direction: row;
  align-items: center;
  z-index: 6;
}

ul.menu.nav {
  display: flex;
  flex-direction: column;
  line-height: 31px;
}

ul.menu.nav li a {
  text-decoration: none;
  color: black;
}

.bg-mined {
  background-color: #242c4f;
  border-top: 3px solid #e7ba61;
  margin-top: 0px !important;
}

.footerLogo {
  height: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (max-width: 768px) {
  .main-footer section {
    padding: 15px 0;
  }

  .footerLogo {
    height: 70px;
  }
}

/* -=-=-=-=-=-=-=- LOADER -=-==-=-=-=-=-=-=-*/
.loader {
  position: fixed;
  height: 100%;
  width: 100vw;
  z-index: 1501;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.75);
  backdrop-filter: blur(3px);
}

.loader.two {
  background-color: rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(0px);
}

.loader-icon {
  width: 120px;
  height: 120px;
  background-color: #33abdb;
  border-radius: 50rem;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.loader-icon video {
  filter: invert(1);
  mix-blend-mode: color-dodge;
}

.loader-icon::after {
  content: "";
  width: 120px;
  height: 120px;
  background-color: #33abdb;
  border-radius: 50rem;
  animation: panIn infinite 2s;
  position: absolute;
  z-index: -1;
}

.loader-icon::before {
  content: "";
  width: 120px;
  height: 120px;
  background-color: #33abdb;
  border-radius: 50rem;
  animation: panIn infinite 2s;
  animation-delay: 1s;
  position: absolute;
  z-index: -1;
}

@keyframes panIn {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  100% {
    transform: scale(1.35);
    opacity: 0;
  }
}

.loadingMainContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  z-index: 1500;
  margin-left: auto;
  margin-right: auto;
  width: 150px;
  height: 150px;
  justify-content: center;
  background-color: #242d4f;
  border-radius: 50rem;
}

.loadingMainContainer::after {
  content: "";
  width: 150px;
  height: 150px;
  background-color: #242d4f;
  border-radius: 50rem;
  animation: panIn infinite 2s;
  position: absolute;
  z-index: -1;
}

.loadingMainContainer::before {
  content: "";
  width: 150px;
  height: 150px;
  background-color: #242d4f;
  border-radius: 50rem;
  animation: panIn infinite 2s;
  animation-delay: 1s;
  position: absolute;
  z-index: -1;
}

@keyframes panIn {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  100% {
    transform: scale(1.35);
    opacity: 0;
  }
}

.loadingContainer {
  width: 120px;
  height: 120px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.loadingOuter {
  background-image: url(../img/firmaExterior.svg);
  width: 100px;
  height: 100px;
  position: absolute;
  margin: 0px;
  padding: 0px;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  animation: zoomInOut 3s infinite forwards;
}

.signatureMainContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  z-index: 1500;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
  width: 100vw;
  height: 100vh;
  justify-content: center;
  background-color: #242d4f;
}

.signatureContainer {
  width: 500px;
  height: 500px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.signatureOuter {
  background-image: url(../img/firmaExterior.svg);
  width: 400px;
  height: 400px;
  position: absolute;
  margin: 0px;
  padding: 0px;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  animation: zoomInOut 3s infinite forwards;
}

@keyframes zoomInOut {
  0% {
    transform: scale(1.1);
    opacity: 1;
  }
  50% {
    transform: scale(1.25);
    opacity: 0.25;
  }
  100% {
    transform: scale(1.1);
    opacity: 1;
  }
}

.st0 {
  stroke-dasharray: 2500;
  fill: none;
  stroke: #fff;
  stroke-width: 16;
  stroke-linecap: round;
  stroke-miterlimit: 10;
  animation: writebase 3s infinite linear;
}

@keyframes writebase {
  0% {
    stroke-dashoffset: 2500;
  }
  100% {
    stroke-dashoffset: 0;
  }
}

/* -=-=-=-=-=-=-=- RECAPTCHA -=-==-=-=-=-=-=-=-*/
.recaptchaContainer {
  width: 100%;
  height: 75px;
  background-image: url("../img/googlerecaptcha.jpg");
  background-size: 65%;
  background-repeat: no-repeat;
  min-width: 450px;
}

.form-check-input.recaptcha {
  margin-top: 28px;
  margin-left: 19px;
  transform: scale(1.65);
  border-radius: 0px;
}

@media (max-width: 576px) {
  .recaptchaContainer {
    background-size: 100%;
    min-width: 240px;
  }

  .form-check-input.recaptcha {
    margin-top: 26px;
    margin-left: 17px;
    transform: scale(1.65);
    border-radius: 0px;
  }
}

/* -=-=-=-=-=-=-=- CARDS CERTIFICADOS -=-==-=-=-=-=-=-=-*/
.card.certificado {
  border-radius: 15px;
  padding: 20px;
  margin-bottom: 50px;
}

.card.certificado .card-body h1 {
  width: calc(100% - 80px);
  font-size: 30px;
  margin-bottom: 20px;
}

.certificate-header {
  display: flex;
  flex-direction: row;
  align-content: flex-start;
}

.certificate-badge {
  height: 80px;
  max-width: 80px !important;
  margin-right: 20px;
}

.certificate-badge.sm {
  height: 30px;
  max-width: 30px !important;
  margin-right: 20px;
}

.certificate-badge.sm img {
  min-width: 30px;
  min-height: 30px;
}

.certificate-text h2 {
  font-size: 15px !important;
  margin-bottom: 0px !important;
}

.certificate-text p {
  font-size: 13px !important;
  margin-bottom: 0px !important;
}

.certNumb {
  word-break: break-all;
}

.certificate-qr {
  width: 100px;
  position: absolute;
  right: 30px;
  top: 30px;
}

@media (max-width: 991px) {
  .card.certificado .card-body h1 {
    width: calc(100% - 120px);
  }
  .certificate-qr {
    width: 70px;
  }
}

@media (max-width: 768px) {
  .card.certificado .card-body h1 {
    font-size: 22px;
    width: calc(100% - 80px);
  }
  .certificate-qr {
    width: 50px;
    top: 14px;
    right: 15px;
  }
}

@media (max-width: 576px) {
  .certificate-header {
    min-height: 150px;
  }

  .certificate-qr {
    width: 50px;
    top: 150px;
    left: 25px;
  }
}

@media (max-width: 387px) {
  .certificate-qr {
    width: 70px;
    position: absolute;
    top: 155px;
    left: 20px;
  }
}

/* -=-=-=-=-=-=-=- LANDING -=-==-=-=-=-=-=-=-*/
.card.landingPrimaria {
  border-radius: 10px;
  overflow: hidden;
  max-height: 360px;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 30px;
}

.card.landingPrimaria .card-img-overlay {
  padding: 70px;
}

.card.landingPriText {
  border-radius: 0px;
  height: 100%;
  min-height: 200px;
  overflow: hidden;
  border: none;
}

.card.landingSecundario {
  border-radius: 0px;
  overflow: hidden;
  margin-bottom: 30px;
  min-height: 300px;
}

.card.landingSecundario .card-header {
  max-height: 152px;
  overflow: hidden;
  padding: 0px;
}

a .card.landingPriText {
  color: #000;
  transition: 0.4s;
}

a .card.landingPriText:hover {
  background-color: #f3faff;
  transition: 0.4s;
}

a .card.landingSecundario {
  color: #000;
  transition: 0.4s;
  height: 100%;
  border: none !important;
}

a .card.landingSecundario:hover {
  background-color: #f3faff;
  transition: 0.4s;
}

a .card.landingSecundario .card-header {
  transition: 0.4s;
}

a .card.landingSecundario:hover .card-header {
  opacity: 0.8;
  transition: 0.4s;
}

.card.landingSecundario .card-header {
  min-height: 140px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px;
  background-color: #242d4f;
}

.card.landingSecundario.naranja {
  border-bottom: 12px solid #f69624;
}

.card.landingSecundario.magenta {
  border-bottom: 12px solid #ed3c8f;
}

.card.landingSecundario.violeta {
  border-bottom: 12px solid #9383be;
}

@media (max-width: 991px) {
  .card.landingPrimaria .card-img-overlay {
    padding: 30px;
  }
}

@media (max-width: 768px) {
  .card.landingPrimaria {
    border-radius: 0px;
    overflow: hidden;
    max-height: 460px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 30px;
    border: none;
    width: 100vw;
    margin-left: -11px;
    height: 362px;
    background-color: transparent;
    margin-top: -30px;
  }

  .card.landingPrimaria .card-img-overlay {
    padding: 160px 0px 0px 0px;
  }
}

/* -=-=-=-=-=-=-=- MAPA ADMIN -=-==-=-=-=-=-=-=-*/
.resultados {
  background-color: #f7f7f7 !important;
  width: 400px;
  height: 400px;
  position: relative;
}

path {
  transition: 0.4s;
  cursor: pointer;
}

path:hover {
  fill: #37bbed;
  transition: 0.4s;
}

canvas {
  position: relative;
  z-index: 1;
}

.porcentajeFirmado {
  position: absolute;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 0;
  top: 0px;
}

.porcentajeFirmado h1 {
  font-size: 100px;
  font-weight: bold;
  margin-top: -40px;
  color: #242c50;
  margin-left: 20px;
}

.porcentajeFirmado p {
  font-size: 24px;
  font-weight: normal;
  margin-top: -20px;
  color: #adb5bd;
}

.porcentajeFirmado h1 span {
  font-size: 40px;
  position: relative;
  top: -45px;
}

.table-admin {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  overflow: hidden;
}

.table-admin thead {
  background-color: #242d4f;
}

.table-admin thead tr th {
  color: #fff;
  font-size: 14px;
  font-weight: 400 !important;
  text-transform: uppercase;
  padding: 15px 20px;
  letter-spacing: 1px;
  vertical-align: middle;
  line-height: 18px;
}

.table-admin tbody tr td {
  border: none;
}

.table-admin tbody tr td {
  font-size: 14px;
  font-weight: 400 !important;
  padding: 10px 20px 10px 18px;
}

table.table-admin tbody tr {
  border-bottom: 1px solid #dee2e6;
}

.progress.admin {
  display: flex;
  height: 5px;
  overflow: visible;
  font-size: 10px;
  background-color: #dee2e6;
  position: relative;
  bottom: -10px;
  left: 10px;
  width: calc(100% + -18px);
  border-radius: 20px;
}

.progress.admin .progress-bar {
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: visible;
  color: white;
  text-align: center;
  white-space: nowrap;
  background-color: #242d4f;
  transition: width 0.6s ease;
  border-radius: 20px;
}

span.value {
  position: relative;
  top: -10px;
  color: black;
}

td.hiddenRow {
  padding: 0px !important;
  margin: 0px;
}

table.adminSub thead tr {
  background-color: #adb5bd;
}

table.adminSub thead tr th {
  padding: 10px 20px;
  font-size: 13px;
}

table.adminSub tbody tr td {
  padding: 10px 20px;
  font-size: 13px;
}

.btn-collapse {
  padding: 0px;
  color: #33abdb;
}

a.btn-collapse.collapsed i::before {
  transform: rotate(180deg);
  transition: 0.2s;
}

a.btn-collapse i::before {
  transform: rotate(0deg);
  transition: 0.2s;
}

.btn-collapse:focus + .btn,
.btn-collapse:focus {
  outline: 0;
  box-shadow: none;
}

.wrap {
  padding: 0px;
  margin: 0px;
  width: 35vw;
  max-width: 500px;
}

.region {
  fill: #adb5bd;
  opacity: 1;
}

.region:hover {
  fill: #242d4f;
}

#tooltip {
  position: absolute;
  background-color: rgba(255, 255, 255, 0.85);
  border: none;
  padding: 10px;
  border-radius: 8px;
  box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.25);
  transform: translate(-60px, -140px);
}

#tooltip::after {
  content: "";
  position: absolute;
  margin-left: calc(50% - 20px);
  margin-top: 10px;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid rgba(255, 255, 255, 0.9);
}

h3#tooltip-title {
  font-size: 18px;
  font-weight: bold;
  color: #242c51;
  margin-bottom: 5px;
}

p#tooltip-info1 {
  font-size: 14px;
  margin-bottom: 0px;
}

p#tooltip-info2 {
  font-size: 14px;
  margin-bottom: 0px;
}

p#tooltip-info3 {
  font-size: 14px;
  margin-bottom: 0px;
}

.hidden {
  display: none;
}

/* -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- SOPORTE -=-==-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

/* -=-=-=-=-=-=-=- CHATBOT -=-==-=-=-=-=-=-=-*/
.chatBotContainer {
  position: fixed;
  z-index: 1501;
  right: 20px;
  bottom: 20px;
}

.chatBotBtn {
  width: 60px;
  height: 60px;
  background-color: white;
  border-radius: 50rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.15);
  transition: 0.4s;
}

a:hover .chatBotBtn {
  box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0);
  transition: 0.4s;
}

.chatBotBtn img {
  width: 40px;
  height: 40px;
}

.chatBotDialogue {
  width: 300px;
  height: 300px;
  background-color: white;
  position: absolute;
  right: 10px;
  bottom: 70px;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15);
}

.cbd-header {
  width: 100%;
  height: 45px;
  padding: 10px 20px;
  background-color: #242d4f;
  color: white;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.cbd-header p {
  margin-bottom: 0px;
}

a.cbd-close {
  color: white;
  font-size: 40px;
  top: -2px;
  position: relative;
  right: -15px;
  transition: 0.4s;
}

a.cbd-close:hover {
  opacity: 0.5;
  transition: 0.4s;
}

.cbd-body {
  padding: 20px;
  height: 220px;
  position: relative;
  overflow: scroll;
}

.cbd-body p {
  font-size: 14px;
}

.cbd-footer {
  border-top: 1px solid #e9ecef;
  height: 35px;
  margin-top: 0px;
  position: absolute;
  width: 100%;
  bottom: 0px;
}

.cbd-footer .input-group .form-control {
  border: none;
  border-radius: 0px;
  background-color: #f8f9fa;
  font-size: 14px;
}

.cbd-footer .input-group .btn-primary {
  border: none;
  border-radius: 0px;
}

/* -=-=-=-=-=-=-=- CARDS HOME -=-==-=-=-=-=-=-=-*/
.card-header.soporte i.bi {
  color: white;
  float: left;
  font-size: 30px;
  margin-right: 10px;
  margin-top: -5px;
}

/* -=-=-=-=-=-=-=- INPUT ADDON CUSTOM -=-==-=-=-=-=-=-=-*/
.custom-file-button input[type="file"] {
  margin-left: -2px !important;
}
.custom-file-button input[type="file"]::-webkit-file-upload-button {
  display: none;
}
.custom-file-button input[type="file"]::file-selector-button {
  display: none;
}
.custom-file-button:hover label {
  background-color: #dde0e3;
  cursor: pointer;
}

/* -=-=-=-=-=-=-=- CATEGORY SELECTOR -=-==-=-=-=-=-=-=-*/
a.btn.btn-cats {
  width: 100%;
  text-align: left;
}

.cat-cont {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.cat-icon {
  background-color: #242d4f;
  border-radius: 5px;
  width: 30px;
  height: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: white;
  padding: 0px;
  margin-right: 10px;
}

.cat-arrow {
  background-image: url("icons/chevron.svg");
  width: 25px;
  height: 25px;
  float: right;
  margin-left: auto;
}

a.btn.btn-cats.collapsed .cat-cont .cat-arrow {
  transform: rotate(0deg);
  transition: 0.4s;
}

a.btn.btn-cats .cat-cont .cat-arrow {
  transform: rotate(180deg);
  transition: 0.4s;
}

ul.categoriasDocs {
  list-style: none;
  padding-left: 15px;
}

ul.categoriasDocs li {
  line-height: 30px;
}

ul.categoriasDocs li a {
  font-size: 15px;
  transition: 0.4s;
}

ul.categoriasDocs li a:hover {
  margin-left: 10px;
  transition: 0.4s;
}

ul.categoriasDocs li a::before {
  content: ">";
  margin-right: 5px;
}

/* -=-=-=-=-=-=-=- TABLE DOCS -=-==-=-=-=-=-=-=-*/
@media (min-width: 767px) {
  span.mobileTableTitle {
    display: none;
  }
}

@media (max-width: 768px) {
  .tableMobile .table-titulos thead {
    display: none;
  }

  .tableMobile .table-titulos tbody {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
  }

  .tableMobile .table-titulos tbody tr {
    display: flex;
    flex-direction: column;
  }

  .tableMobile .table-titulos tbody tr td {
    display: flex;
    flex-direction: column;
    padding: 10px 20px 0px 20px;
  }

  span.mobileTableTitle {
    font-size: 12px;
  }
}

/* -=-=-=-=-=-=-=- CODE BODY NAV -=-==-=-=-=-=-=-=-*/
.code-content-container {
  display: flex;
}

.codeNav {
  min-width: 35%;
  margin-right: 20px;
}

.codeNav .navbar {
  position: sticky;
  top: 80px;
}

.codeNav .navbar a.nav-link.active {
  background-color: #242d4f;
  opacity: 1;
  color: white;
}

.codeNav .nav .nav-link {
  color: #41464b;
}

.card.codNav {
  border: none;
  border-radius: 15px;
  margin-top: 30px;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.05);
}

.card.codNav .card-body {
  display: flex;
  flex-direction: row;
  word-break: break-word;
}

.card.codNav .card-body h4 {
  padding-top: 120px;
  font-weight: 600;
  margin-top: -70px;
}

.card.codNav .card-body h5 {
  padding-top: 120px;
  margin-top: -70px;
  font-weight: 600;
}

.card.codNav .card-body h4:first-child {
  border-top: none;
}

.card.codNav .card-body .navbar {
  justify-content: flex-start;
  min-width: 25%;
  margin-right: 40px;
}

.code-container {
  background-color: black;
  border-radius: 10px;
  padding: 15px 30px 10px 30px;
  color: white;
  position: relative;
  margin-top: 10px;
  margin-bottom: 20px;
}

.code-container.light {
  color: black;
  background-color: #e7f6fd;
}

.code-container.light .btn-clipboard {
  color: #000;
  background-color: #cdebf9;
}

.code-container p {
  font-family: monospace;
  font-size: 14px;
  margin-bottom: 5px;
}

p.title {
  font-family: "Encode Sans", sans-serif;
  font-size: 15px;
}

.code-blue {
  color: #91c0e8;
}

.code-brown {
  color: #a67e55;
}

.code-green {
  color: #a4d380;
}

.btn-clipboard {
  position: absolute;
  top: 0.65rem;
  right: 0.65rem;
  z-index: 10;
  display: block;
  padding: 0.25rem 0.5rem;
  font-size: 0.75em;
  color: #242d4f;
  background-color: #212529;
  border: none;
  border-radius: 0.25rem;
}

@media (max-width: 768px) {
  .codeNav {
    display: none;
  }
}

/* -=-=-=-=-=-=-=- HASH GRAFICO -=-==-=-=-=-=-=-=-*/
.card-hash-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.card.card-hash {
  margin-bottom: 40px;
  border-radius: 8px;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
  border: 1px solid #fff;
  transition: 0.4s;
}

.card-link {
  color: black;
}

.card-link:hover .card.card-hash {
  border: 1px solid #36d3b6;
  transition: 0.4s;
  color: black;
  background-color: #36d3b605;
  cursor: pointer;
  box-shadow: 0px 0px 6px 0px rgba(53, 211, 182, 0.75);
}

.card-link .card.card-hash.left:before {
  transition: 0.4s;
}

.card-link .card.card-hash.left::after {
  transition: 0.4s;
}

.card-link .card.card-hash.center:before {
  transition: 0.4s;
}

.card-link .card.card-hash.right:before {
  transition: 0.4s;
}

.card-link .card.card-hash.right::after {
  transition: 0.4s;
}

.card-link:hover .card.card-hash.left:before {
  background-color: #36d3b6;
  transition: 0.4s;
}

.card-link:hover .card.card-hash.left::after {
  background-color: #36d3b6;
  transition: 0.4s;
}

.card-link:hover .card.card-hash.center:before {
  background-color: #36d3b6;
  transition: 0.4s;
}

.card-link:hover .card.card-hash.right:before {
  background-color: #36d3b6;
  transition: 0.4s;
}

.card-link:hover .card.card-hash.right::after {
  background-color: #36d3b6;
  transition: 0.4s;
}

.card.card-hash.disabled {
  opacity: 0.2;
  cursor: not-allowed;
  pointer-events: none;
}

.card.card-hash .card-body {
  text-align: center;
  padding: 8px;
}

.hash-container {
  width: auto;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  padding: 10px;
  background-color: #0f1e371f;
  margin: 0px 10px 10px 10px;
}

.hash-sum {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 50%;
  height: 30px;
  justify-content: center;
}

.sumContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-left: 10px;
  margin-right: 10px;
}

span.hashOpen {
  font-size: 16px !important;
}

span.hashClose {
  font-size: 16px !important;
}

.hash-sum span {
  font-size: 12px;
  line-height: 10px;
  font-family: monospace;
}

.card.card-hash.left:before {
  content: "";
  height: 19px;
  width: 1px;
  position: absolute;
  background-color: #6c757d;
  left: calc(50% + 0px);
  top: -20px;
  float: right;
}

.card.card-hash.left::after {
  content: "";
  width: calc(100% + 25px);
  height: 1px;
  background-color: #6c757d;
  position: absolute;
  top: -21px;
  left: 50%;
}

.card.card-hash.center:before {
  content: "";
  height: 40px;
  width: 1px;
  position: absolute;
  background-color: #6c757d;
  left: calc(50% - 1px);
  top: -40px;
}

.card.card-hash.right:before {
  content: "";
  height: 19px;
  width: 1px;
  position: absolute;
  background-color: #6c757d;
  right: calc(50% + 0px);
  top: -20px;
  float: right;
}

.card.card-hash.right::after {
  content: "";
  width: calc(100% + 25px);
  height: 1px;
  background-color: #6c757d;
  position: absolute;
  top: -21px;
  right: 50%;
}

@media (max-width: 768px) {
  .card.card-hash {
    font-size: 13px;
  }

  .card.card-hash .card-body {
    text-align: center;
    padding: 4px;
    font-size: 14px;
  }

  .hash-container {
    flex-direction: column;
    margin: 0px 0px 0px 0px;
    padding: 0px;
    padding-bottom: 10px;
  }

  .hash-sum span {
    font-size: 11px;
    line-height: 8px;
    font-family: monospace;
  }

  .sumContainer {
    margin-left: 5px;
    margin-right: 5px;
  }

  .hash-sum {
    width: 100%;
  }

  span.hashOpen {
    font-size: 13px !important;
  }

  span.hashClose {
    font-size: 14px !important;
  }
}

.card.hashOverview {
  border: none;
  border-radius: 15px;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.05);
}

@media (max-width: 768px) {
  .card.hashOverview .card-body {
    padding: 20px !important;
  }
}

.badgeHash {
  border: 1px solid;
  border-radius: 8px;
  position: relative;
  top: -2px;
}

.badgeHash.bg-success {
  border-color: #18d1a0 !important;
  background-color: #18d1a00f !important;
  font-weight: 400;
  padding: 5px 15px;
  color: #18d1a0 !important;
}

.card.hashOverview .card-body p {
  margin-bottom: 0px;
}

.row.hashInfo {
  margin-bottom: 10px;
  border-bottom: 1px solid #f7f7f7;
}

.bi-success {
  color: #36d3b6;
}

.hashLink {
  color: black;
  font-size: 14px;
  font-family: monospace;
  line-height: 16px;
  padding: 2px 4px;
  margin-left: -4px;
  border: none;
  background-color: transparent;
  word-break: break-all;
  text-align: left;
}

.hashLink:hover {
  background-color: #0f1e37;
  color: white;
  transition: 0.2s;
}

.fc-blue {
  color: #0f1e37;
  font-weight: 600;
}

.btn-tooltip {
  padding: 0px;
  margin-top: -6px;
  color: #0f1e37;
}

.alert {
  border-radius: 14px;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.05);
}

/* -=-=-=-=-=-=-=- PAGINA REGISTRO -=-==-=-=-=-=-=-=-*/
.blockAlumno {
  color: #fff;
  background-color: #242d4f;
  border-color: #242d4f;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  border-radius: 8px;
}

.nombreAlumno p {
  margin: 0px !important;
}

.estudiosAlumno {
  margin-left: auto;
}

.estudiosAlumno p {
  margin: 0px !important;
}

table.table.tableRegistro thead {
  background-color: #242d4f17;
}

table.table.tableRegistro thead tr th {
  font-size: 12px;
  line-height: 14px;
}

table.table.tableRegistro tbody tr td {
  font-size: 12px;
  line-height: 14px;
}

.icon {
  width: 30px;
  height: 30px;
  background-size: contain;
  background-repeat: no-repeat;
  margin-left: auto;
  margin-right: auto;
  transition: 0.3s;
}

.icon-blockchain {
  background-image: url("icons/blockchain2.svg");
}

a:hover .icon {
  opacity: 0.4;
  transition: 0.3s;
}
